Jump to content
Sign in to follow this  
Loi Han

UPSXML version 1_4_0_1 has a problem

Recommended Posts

I have installed UPSXML version 1-4-0-1 on Oscommerce 2.3.4, everything is working fine except there is a line on top of my website:

Deprecated: Assigning the return value of new by reference is deprecated in /xxxx.com /includes/classes/xml_5.php on line 25

 

 24   function & XML unserialize(&$xml){

 25  $xml_parser=&new XML();

 26  $data=&$xml_parser->parse($xml);

 27 $xml_parser->destruct();

 28 return $data:

 

Any one help please.

Share this post


Link to post
Share on other sites

function & XML_unserialize(&$xml){
$xml_parser = new XML();
$data = $xml_parser->parse($xml);
 $xml_parser->destruct();
 return $data;
}

 

Regards

Joli


To improve is to change; to be perfect is to change often.

 

Share this post


Link to post
Share on other sites

the message has been gone but UPS sent me an error:

PHP error_log message:

"UPSXML TimeIn Transit Error: 270014: Invalid Shipment Contents Currency experienced by customer with id 3 on 2014-08-18 23:41:26"

Any comments?

Share this post


Link to post
Share on other sites

Any one can help with UPSXML Rates Error: 111210: The requested service is unavailable between the selected locations. experienced by customer with id  on 2014-08-22 02:50:31

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×